Win

When a player wins, our API will send a callback request to credit the win amount to the player's balance and retrieve the updated balance.

circle-exclamation

URL

{operatorCallbackURL}

Method

POST

Headers

X-Request-Signature Content-Type Accept

Request Body

Response Body

Request

Parameter
Values
Mandatory
Description

command

string

Y

Indicates the request type.

transactionId

string

Y

Unique reference of the transaction created in our API.

playerId

string

Y

Unique identifier of the player from the operator's system.

roundId

string

Y

Unique reference of the game round.

providerId

number

Y

Unique identifier of the provider in our API.

providerName

string

Y

The name of the provider.

gameCode

string

Y

Unique identifier of the game in our API

gameName

string

Y

The name of the game.

currency

string

Y

Player currency, according to ISO-4217 (EUR, USD ...)

amount

number

Y

Transfer amount.

isRoundFinished

boolean

Y

Indecates whether the round is finished or not. If true, no other "win" callbacks will be sent after this callback, but if false, other corresponding callbacks will be sent.

isCall

boolean

Y

If true, Player is in undergoing bonus call event.

timestamp

number

Y

Timestamp of the request.

Response

Parameter
Values
Mandatory
Description

balance

number

Y

Player balance.

statusCode

string

Y

Status code of the execution.

Possible Status Codes

Status codes
Reason

OK

Request successful

ERR_INTEGRITY_CHECK_FAILED

Message integrity check failed.

ERR_NOT_AUTHENTICATED

Player is not authenticated

ERR_UNKNOWN

Internal server error

In case statusCode is different than "OK", the request will be treated as unsuccessful.

circle-info

A response must be provided within 4 seconds. If the callback request times out or returns a specific error, our API will automatically retry the request up to two more times.

Example

Request

OK Response

Error Response

Last updated